Package org.eclipse.birt.chart.model.component

# Interface Needle

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `NeedleImpl`

public interface Needle extends IChartObject
A representation of the model object 'Needle'. This type defines a needle of a dial.

The following features are supported:

- `Line Attributes`
- `Decorator`

See Also:
  - `ComponentPackage.getNeedle()`

## Method Summary

Modifier and Type
Method
Description
`Needle`
`copyInstance()`
`LineDecorator`
`getDecorator()`
Returns the value of the 'Decorator' attribute.
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`boolean`
`isSetDecorator()`
Returns whether the value of the '`Decorator`' attribute is set.
`void`
`setDecorator(LineDecorator value)`
Sets the value of the '`Decorator`' attribute.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`unsetDecorator()`
Unsets the value of the '`Decorator`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Specify the line properties for the needle.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `ComponentPackage.getNeedle_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### getDecorator

LineDecorator getDecorator()
Returns the value of the 'Decorator' attribute. The literals are from the enumeration `LineDecorator`. Specify the line decorator for the needle.

Returns:
  the value of the 'Decorator' attribute.
See Also:
  - `LineDecorator`
  - `isSetDecorator()`
  - `unsetDecorator()`
  - `setDecorator(LineDecorator)`
  - `ComponentPackage.getNeedle_Decorator()`

### setDecorator

void setDecorator(LineDecorator value)
Sets the value of the '`Decorator`' attribute.

Parameters:
  `value` - the new value of the 'Decorator' attribute.
See Also:
  - `LineDecorator`
  - `isSetDecorator()`
  - `unsetDecorator()`
  - `getDecorator()`

### unsetDecorator

void unsetDecorator()
Unsets the value of the '`Decorator`' attribute.

See Also:
  - `isSetDecorator()`
  - `getDecorator()`
  - `setDecorator(LineDecorator)`

### isSetDecorator

boolean isSetDecorator()
Returns whether the value of the '`Decorator`' attribute is set.

Returns:
  whether the value of the 'Decorator' attribute is set.
See Also:
  - `unsetDecorator()`
  - `getDecorator()`
  - `setDecorator(LineDecorator)`

### copyInstance

Needle copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`